%global pypi_name hudman

%global _description %{expand:
This package provides a HUD Manager implementation.

HUD Manager is a simple tool for creating a local HUD mirror. Can be used
together with the SRC Repair project.

This product can operate in two modes: anonymous and authorized.
Please read manpage for additional information.}

Name: python-%{pypi_name}
Version: 9.0.0
Release: 9%{?dist}

# Main code - GPL-3.0-or-later.
# Icon - Apache-2.0.
License: GPL-3.0-or-later AND Apache-2.0
Summary: HUD Manager
URL: https://github.com/xvitaly/%{pypi_name}
Source0: %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: doxygen
BuildRequires: pandoc
BuildRequires: python3-devel

%description %_description

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %_description

%package doc
Summary: Documentation for the %{name}
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}

%description doc
This package provides auto-generated by Doxygen documentation for
the %{name} package.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel
doxygen
pandoc packaging/assets/manpage.md -s -t man > packaging/assets/%{pypi_name}.1

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
install -D -p -m 0644 packaging/assets/%{pypi_name}.1 %{buildroot}%{_mandir}/man1/%{pypi_name}.1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE licenses/*
%doc README.md
%{_bindir}/%{pypi_name}
%{_mandir}/man1/%{pypi_name}.1*

%files doc
%doc docs/html/*

%changelog
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 9.0.0-8
- Rebuilt for Python 3.13

* Mon Jan 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 9.0.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 9.0.0-1
- Updated to version 9.0.0.

* Thu Sep 15 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 8.0.0-1
- Updated to version 8.0.0.

* Fri Sep 09 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 7.0.0-1
- Updated to version 7.0.0.

* Thu Aug 25 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 6.0.0-1
- Updated to version 6.0.0.

* Fri Jul 29 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 5.1.0-1
- Updated to version 5.1.0.
